package cn.iocoder.yudao.module.order.dal.dataobject.orderDeparture;

import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 订单始发仓库 DO
 *
 * @author 系统管理员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("ecw_order_departure")
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class OrderDepartureDO extends BaseDO {

    /**
     * 主键ID
     */
    @TableId
    private Long id;
    /**
     * 订单id
     */
    private Long orderId;
    /**
     * 始发地id
     */
    private Long departureId;

    @ApiModelProperty(value = "始发国家id")
    private Long departureCountryId;

    @ApiModelProperty(value = "始发仓库id")
    private Long departureWarehouseId;
    /**
     * 始发地详情
     */
    private String departure;
    /**
     * 0调仓标志;1原始数据，真正的始发仓库
     */
    private Integer type;
    /**
     * 货到没到这个仓库：0未到；1已到
     */
    private Boolean isThis;

}
