package cn.iocoder.yudao.module.order.service.orderNumberLog;

import cn.iocoder.yudao.framework.mybatis.core.service.IService;
import cn.iocoder.yudao.module.order.dal.dataobject.orderNumberLog.OrderNumberLogDO;

/**
 * 最新编号记录 Service 接口
 *
 * @author 郑屹
 */
public interface OrderNumberLogService extends IService<OrderNumberLogDO> {

    /**
     * @param key  编号规则key值
     * @param type 编号类型
     * @return 返回的历史最新编号
     */
    OrderNumberLogDO newNumberInfo(String key, Integer type);


    /**
     * @param orgOrderNumberLogDO 原编号记录
     * @param key  编号规则key值
     * @param type 编号类型
     * @param number           新的编号
     */
    void saveOrUpdateNewNumber(OrderNumberLogDO orgOrderNumberLogDO, String key, Integer type, String number);
}
