package cn.iocoder.yudao.module.order.vo.orderExceptionChannelPrice;

import lombok.*;
import java.util.*;
import io.swagger.annotations.*;
import cn.iocoder.yudao.framework.common.pojo.PageParam;
import org.springframework.format.annotation.DateTimeFormat;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Data
@ApiModel("管理后台 - 不可出渠道异常商品价格查询 VO")
public class OrderExceptionChannelPriceQueryVO {

    @ApiModelProperty(value = "订单id")
    private Long orderId;

    @ApiModelProperty(value = "订单项id")
    private Long orderItemId;

    @ApiModelProperty(value = "异常ID")
    private Long exceptionId;

    @ApiModelProperty(value = "异常处理结果ID")
    private Long exceptionResultId;

    @ApiModelProperty(value = "运费")
    private java.math.BigDecimal freightFee;

    @ApiModelProperty(value = "运费货币单位")
    private Long freightCurrencyId;

    @ApiModelProperty(value = "运费计量单位")
    private Long freightUnitId;

    @ApiModelProperty(value = "清关费")
    private java.math.BigDecimal clearanceFee;

    @ApiModelProperty(value = "清关费货币单位")
    private Long clearanceCurrencyId;

    @ApiModelProperty(value = "清关费计量单位")
    private Long clearanceUnitId;

    @ApiModelProperty(value = "是否预付：0 到付 1 预付")
    private Boolean isPayAdvance;

    @ApiModelProperty(value = "计费方式：0 运费/清关费 1 全包价")
    private Integer charging;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "开始创建时间")
    private Date beginCreateTime;

    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    @ApiModelProperty(value = "结束创建时间")
    private Date endCreateTime;

}
